import type { UmbControllerHost } from '../../../../../../libs/controller-api/index.js';
import { UmbContextBase } from '../../../../../../libs/class-api/index.js';
export declare class UmbContentTypeDesignEditorContext extends UmbContextBase {
    #private;
    readonly isSorting: import("rxjs").Observable<boolean>;
    constructor(host: UmbControllerHost);
    getIsSorting(): boolean;
    setIsSorting(isSorting: boolean): void;
    destroy(): void;
}
export { UmbContentTypeDesignEditorContext as api };
